ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

InteractiveEvalTypes

# Documentation

data Resume Source #

Constructors

Resume |
Fields resumeStmt :: String resumeContext :: ForeignRef (ResumeContext [HValueRef]) resumeBindings :: ([TyThing], GlobalRdrEnv) resumeFinalIds :: [Id] resumeApStack :: ForeignHValue resumeBreakInfo :: Maybe BreakInfo resumeSpan :: SrcSpan resumeDecl :: String resumeCCS :: RemotePtr CostCentreStack resumeHistory :: [History] resumeHistoryIx :: Int

data History Source #

Constructors

History |
Fields historyApStack :: ForeignHValue historyBreakInfo :: BreakInfo historyEnclosingDecls :: [String]

data ExecResult Source #

Constructors

ExecComplete |
Fields execResult :: Either SomeException [Name] execAllocation :: Word64
ExecBreak |
Fields breakNames :: [Name] breakInfo :: Maybe BreakInfo

data SingleStep Source #

Constructors

RunToCompletion |
SingleStep |
RunAndLogSteps |

isStep :: SingleStep -> Bool Source #

data ExecOptions Source #

Constructors

ExecOptions |
Fields execSingleStep :: SingleStep stepping mode execSourceFile :: String filename (for errors) execLineNumber :: Int line number (for errors) execWrap :: ForeignHValue -> EvalExpr ForeignHValue

data BreakInfo Source #

Constructors

BreakInfo |
Fields breakInfo_module :: Module breakInfo_number :: Int